Summary:        Userspace programs for btrfs
Name:           btrfs-progs
Version:        6.0.1
Release:        5%{?dist}
License:        GPLv2
URL:            https://btrfs.wiki.kernel.org/index.php/Main_Page
Source0:        https://www.kernel.org/pub/linux/kernel/people/kdave/%{name}/%{name}-v%{version}.tar.xz

BuildRequires:  gnupg2 gcc autoconf automake make e2fsprogs-devel libacl-devel lzo-devel systemd
BuildRequires:  pkgconfig(blkid) pkgconfig(uuid) pkgconfig(zlib) pkgconfig(libudev) pkgconfig(libzstd)
BuildRequires:  python3-sphinx python3-devel python3-setuptools

%description
The btrfs-progs package provides all the userspace programs needed to create, check, modify and correct
any inconsistencies in the btrfs filesystem.

%package -n libbtrfs
Summary:        btrfs filesystem-specific runtime libraries
License:        GPLv2

%description -n libbtrfs
libbtrfs contains the main library used by btrfs filesystem-specific programs.

%package -n libbtrfsutil
Summary:        btrfs filesystem-specific runtime utility libraries
License:        LGPLv2+

%description -n libbtrfsutil
libbtrfsutil contains an alternative utility library used by btrfs filesystem-specific programs.

%package devel
Summary:        btrfs filesystem-specific libraries and headers
License:        GPLv2 and LGPLv2+
Requires:       %{name} = %{version}-%{release}
Requires:       libbtrfs = %{version}-%{release}
Requires:       libbtrfsutil = %{version}-%{release}

%description devel
btrfs-progs-devel contains the libraries and header files needed to develop btrfs filesystem-specific programs.

It includes development files for two libraries:
- libbtrfs (GPLv2)
- libbtrfsutil (LGPLv2+)

You should install btrfs-progs-devel if you want to develop btrfs filesystem-specific programs.

%package -n python3-btrfsutil
Summary:        Python 3 bindings for libbtrfsutil
License:        LGPLv2+
Requires:       libbtrfsutil = %{version}-%{release}

%description -n python3-btrfsutil
python3-btrfsutil contains Python 3 bindings to the libbtrfsutil library, which can be used for btrfs
filesystem-specific programs in Python.

You should install python3-btrfsutil if you want to use or develop btrfs filesystem-specific programs in Python.

%prep
%autosetup -n %{name}-v%{version} -p1

%build
./autogen.sh
%configure \
    CFLAGS="%{optflags} -fno-strict-aliasing" \
    --disable-python \
    %{nil}
%make_build

pushd libbtrfsutil/python
%py3_build
popd

%install
%make_install mandir=%{_mandir} bindir=%{_sbindir} libdir=%{_libdir} incdir=%{_includedir}
install -Dpm0644 btrfs-completion %{buildroot}%{_datadir}/bash-completion/completions/btrfs
rm -v %{buildroot}%{_libdir}/*.a

pushd libbtrfsutil/python
%py3_install
popd

%files
%license COPYING
%{_sbindir}/btrfsck
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfstune
%{_sbindir}/btrfs
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-find-root
%{_udevrulesdir}/64-btrfs-dm.rules
%{_udevrulesdir}/64-btrfs-zoned.rules
%{_datadir}/bash-completion/completions/btrfs
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n libbtrfs
%license COPYING
%{_libdir}/libbtrfs.so.0*

%files -n libbtrfsutil
%license libbtrfsutil/COPYING
%{_libdir}/libbtrfsutil.so.1*

%files devel
%{_includedir}/*
%{_libdir}/libbtrfs.so
%{_libdir}/libbtrfsutil.so
%{_libdir}/pkgconfig/libbtrfsutil.pc

%files -n python3-btrfsutil
%license libbtrfsutil/COPYING
%{python3_sitearch}/btrfsutil.*.so
%{python3_sitearch}/btrfsutil-*.egg-info/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 13 2022 Shuo Wang <abushwang@tencent.com> - 6.0.1-1
- initial build
